# Mark conversations read or unread for the caller

`POST /workspace/inbox/threads/read` · Rivier · inbox

Mark conversations read or unread for the caller.

- Scope: inbox:write
- Graphql: Mutation.inboxDeskMarkRead
- Sdk: inbox.desk.markRead
- Cli: inbox desk mark read

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "ids": {
      "type": "array",
      "items": {
        "type": "string",
        "format": "uuid"
      },
      "minItems": 1,
      "maxItems": 200
    },
    "read": {
      "type": "boolean",
      "default": true
    }
  },
  "required": [
    "ids"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/inbox/threads/read' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "string"
  ]
}'
```
